$(function(){
    /** index容器圆角 **/
    $('.index-main').corner('5px');

    /** 鼠标悬停 **/
    if($('.tr').length > 0){
        $('.tr').hover(
            function(){
                $(this).addClass('tr-hover');
            },
            function(){
                $(this).removeClass('tr-hover');
            }
        );
    }

    /** 删除确认 **/
    $('.delbtn').bind('click' , function(){
        return confirm(undefined == $(this).attr('itext') ? '确定删除 ?' : $(this).attr('itext'));
    });

    /** 数值验证 **/
    $('input.intval').bind('keyup' , function(){
        if(!/^\d+$/.test($(this).val())){
            if($(this).attr('default') != undefined){
                $(this).val($(this).attr('default'));
            }else{
                $(this).val('0');
            }
        }
    });

    $('.ajaxsave').live('blur' , function(){
        var url = $(this).attr('ajaxurl') + $(this).val();
        $.getJSON(url , function(d){
            if(d.code == '0'){
                location.href = location.href;
            }
        });
    });

    $('.checkall').bind('click' , function(){
        $('input:checkbox').attr('checked' , this.checked);
    });

    $('.iresize').dblclick(function(){
        if($(this).attr('min-height') == $(this).height()){
            $(this).css('height' , $(this).attr('max-height'));
        }else{
            $(this).css('height' , $(this).attr('min-height'));
        }
    });


    $('.confbtn').bind('click' , function(){
        if($('input:checkbox:checked').length < 1){
            alert('请选择所要操作的内容');
        }
        else if(confirm(undefined == $(this).attr('itext') ? '确定删除 ?' : $(this).attr('itext'))){
            $('#form1').attr('action' , $(this).attr('formurl')).submit();
        }
    });

    
    $('.uts').bind('change' , function(){
        if(1){
            $.getJSON($(this).attr('ajaxurl') + $(this).val() , function(d){
                if(d.code != '0'){
                    alert(d.msg);
                }
            })
        }
    });

});